# Hardware keyboard visible

A decision block that checks if the physical hardware keyboard is visible/extended, or not.

If the proceed option is set to Immediately, then check if the keyboard is currently visible, or not, without pausing the fiber. If set to When changed, then the fiber will pause until the keyboard has been become visible, or hidden.

To check for if the on-screen software keyboard is visible then use the Software keyboard visible block instead.

## Options

- Proceed — when the fiber should proceed.